[common]
# By default, a temporary files directory is created in the same path where the script is located.
# If you need change it, uncomment the parameter and set the path you want.
#temp_path = /tmp/cctv-scheduler
#
# By default, logs use the same directory where the script is located.
# If you need change it, uncomment the parameter and set the path you want.
#log_root = /var/log/cctv-scheduler
#
# The default log level is "INFO".
# If you get errors or want to change the logging level, uncomment the parameter and set the level you want:
#   DEBUG, INFO, WARNING, ERROR, CRITICAL.
#log_level = DEBUG


[enable-broadcast]
# List the broadcast block names. Only blocks with the TRUE value will be used.
camera.test.local = true


[enable-sequences]
# List the sequence/camera block names. Only blocks with the TRUE value will be used.
camera.test.local = true


[enable-sensors]
# List the sensor block names. Only blocks with the TRUE value will be used.
sensor.test.local = true


[broadcast-config:camera.test.local]
# Broadcast parameter description block always starts with "broadcast-config:".
src = rtsp://user:pass@192.168.254.253:554/Streaming/Channels/101,http://radio.fm:8000/stream.mp3
dst = rtp://239.0.0.1:5554
# Optionality you can change video stream framerate.
#fps = 25
#
# Optionality you can set YouTube recommended preset:
#   240p, 360p, 480p, 720p, 1080p, 1440p, 2160p.
#preset = 1080p
#
# By default ffmpeg expected in /usr/bin/ffmpeg or C:\Program Files\ffmpeg\bin\ffmpeg.exe.
# If you need change it, uncomment the parameter and set the path you want.
#ffpath = /usr/bin/ffmpeg
#
# If you get program freezes because your network unstable, uncomment the parameter.
#watchdog = true
#
# By default, watchdog waits 5 seconds before terminating the program.
# If you need change it, uncomment the parameter and set the path you want.
#watchsec = 15
#
# If you use crontab or other scheduler to run, uncomment the parameter to prevent process overlap.
#onlyonce = true


[sensor-config:sensor.test.local]
# Remote host's sensor parameter description block always starts with "sensor-config:".
hostname = 192.168.254.252
username = user
userpass = pass
# To recognize options for polling a sensor, you must specify the type of sensor.
# Supported types:
#   ds18b20
nodetype = ds18b20
nodename = 28-1a2b3c4d5e6f


[camera-config:camera.test.local]
# Camera parameter description block always starts with "camera-config:".
hostname = 192.168.254.253
username = user
userpass = pass
# If a record directory on a remote host is used, a username and password must be specified.
# Supported protocols:
#   FTP, SFTP.
records_root_path = ftp://192.168.254.254/Records/camera.test.local
records_root_user = user
records_root_pass = pass


[camera-sequences:camera.test.local]
# Camera sequence description block always starts with "camera-sequences:".
# Place only the sequence of PTZ-actions in this block!
# Variable name can be anything. Only 'downloadjpeg' is using this for filename prefix.
# Available actions: 
#   setcamerapos, setcameramov, settextonosd, downloadjpeg, capabilities, getcamerapos,
#   setptzmovyyu, setptzmovyyd, setptzmovxxl, setptzmovxxr, setptzmovzzi, setptzmovzzo,
#   setptzpreset, setptztostop, setmovtohome, setposashome, rebootcamera.
#
# Format (spaces are used for readability only):
#  name =       action,       x,       y,    zoom,  preset,   speed,   d(ms),    w(s),    text, notes or anything
step001 = capabilities,       -,       -,       -,       -,       -,       -,       3,        ,
step002 = getcamerapos,       -,       -,       -,       -,       -,       -,       3,        ,
step011 = setmovtohome,       -,       -,       -,       -,       -,       -,      15,        ,
step021 = setptzmovyyd,       -,       -,       -,       -,       2,       -,       5,        , 'speed: 1..7'
step022 = setptzmovyyu,       -,       -,       -,       -,       4,       -,       3,        , 'speed: 1..7'
step023 = setptzmovxxl,       -,       -,       -,       -,       4,       -,       3,        , 'speed: 1..7'
step024 = setptzmovxxr,       -,       -,       -,       -,       2,       -,       5,        , 'speed: 1..7'
step025 = setptzmovzzi,       -,       -,       -,       -,       7,       -,       3,        , 'speed: 1..7'
step026 = setptzmovzzo,       -,       -,       -,       -,       7,       -,       3,        , 'speed: 1..7'
step027 = setptztostop,       -,       -,       -,       -,       -,       -,       3,        ,
step031 = setptzpreset,       -,       -,       -,       2,       1,       -,      15,        , 'speed: 1..7'
step041 = setcameramov,      33,      33,      66,       -,       -,       -,       5,        , 'x: -100..100, y: -100..100, z: -100..100, duration: 0..180000'
step042 = setcameramov,     -66,     -66,     -99,       -,       -,    5000,       0,        , 'x: -100..100, y: -100..100, z: -100..100, duration: 0..180000'
step043 = setcamerapos,       0,       0,       0,       -,       -,       -,      15,        , 'x: 0..3600, y: -900..2700, z: 0..1000'
step051 = setposashome,       -,       -,       -,       -,       -,       -,     3.5,        ,
step061 = settextonosd,       0,       0,       -,       -,       -,       -,       3,   hello, 'x|y: osd text position, text: text for osd without quotes or commas'
step062 = settextonosd,       0,       0,       -,       -,       -,       -,       3, sensor-config:sensor.test.local, 'if a sensor configuration is specified, the sensor value is used instead of text'
step063 = settextonosd,       0,       0,       -,       -,       -,       -,       3,        , 'an empty text value is used to clear the osd'
step071 = downloadjpeg,    1280,     720,       -,       -,       -,       -,       5,        , 'name: filename prefix, x|y: camera width|height resolution'
step999 = rebootcamera,       -,       -,       -,       -,       -,       -,     120,        ,
